aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-09-04 09:51:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-08-16 12:50:06 +0000
commit0b4ebd18832b300a78a05aac12a5c949f34e48f6 (patch)
tree6dea695c623a08a0081ba0a4aefcf1b76c07936a /main/apache2/APKBUILD
parent561eb605ea28df28c5e5b3c6347ca872c2b15ba0 (diff)
downloadaports-0b4ebd18832b300a78a05aac12a5c949f34e48f6.tar.gz
aports-0b4ebd18832b300a78a05aac12a5c949f34e48f6.tar.bz2
aports-0b4ebd18832b300a78a05aac12a5c949f34e48f6.tar.xz
main/apache2: upgrade to 2.4.3
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD143
1 files changed, 21 insertions, 122 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index bfbeeae35c..a0dfffa2b6 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apache2
-pkgver=2.2.22
-pkgrel=1
+pkgver=2.4.3
+pkgrel=0
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
arch="all"
@@ -9,24 +9,13 @@ license="APACHE"
depends=""
pkgusers="apache"
pkggroups="apache"
-makedepends="openssl-dev zlib-dev apr-util-dev apr-dev pcre-dev sed
+makedepends="openssl-dev zlib-dev apr-util-dev apr-dev pcre-dev sed lua-dev
autoconf automake"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
$pkgname-ldap"
# see http://lists.err.no/pipermail/mpm-itk/2011-August/000432.html for
# the 03-add-mpm-to-build-system.patch
source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/02-rename-prefork-to-itk.patch
- 03-add-mpm-to-build-system.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/04-correct-output-makefile-location.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/05-add-copyright.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/06-hook-just-after-merging-perdir-config.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/07-base-functionality.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/08-max-clients-per-vhost.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/09-capabilities.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/10-nice.patch
- http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.17-01/11-fix-htaccess-reads-for-persistent-connections.patch
- httpd-2.2.22-pcre830.patch
apache2.confd
apache2.logrotate
apache2.initd
@@ -39,23 +28,11 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
prepare() {
cd "$srcdir"/httpd-$pkgver
cat "$srcdir/alpine.layout" >> config.layout
-
- # create itk directory and apply itk patches
- mkdir -p server/mpm/experimental/itk
- cp -r server/mpm/prefork/* \
- server/mpm/experimental/itk/ || return 1
- mv server/mpm/experimental/itk/prefork.c \
- server/mpm/experimental/itk/itk.c || return 1
- for i in $source; do
- case $i in
- *.patch) msg ${i##*/}; patch -p1 -i "$srcdir"/${i##*/} || return 1;;
- esac
- done
- autoconf || return 1
}
build() {
- local _apacheconfig="--prefix=/usr \
+ cd "$srcdir"/httpd-$pkgver
+ ./configure --prefix=/usr \
--enable-layout=Alpine \
--enable-so \
--enable-suexec \
@@ -69,6 +46,7 @@ build() {
--with-apr-util=/usr/bin/apu-1-config \
--with-pcre=/usr \
--enable-mods-shared=all \
+ --enable-mpms-shared=all \
--enable-ssl --with-ssl \
--enable-proxy \
--enable-cache \
@@ -76,7 +54,7 @@ build() {
--enable-mem-cache \
--enable-file-cache \
--enable-ldap --enable-authnz-ldap \
- --enable-cgid \
+ --enable-cgid --enable-cgi \
--enable-authn-anon --enable-authn-alias \
--disable-imagemap \
--enable-proxy-connect \
@@ -84,41 +62,14 @@ build() {
--enable-proxy-ftp \
--enable-deflate \
--enable-dbd \
- --enable-exception-hook"
- local _mpm
-
- _mpm="prefork"
- cd "$srcdir"/httpd-$pkgver
- ./configure ${_apacheconfig} --with-mpm=${_mpm} || return 1
- make || return 1
-
- _mpm="itk"
- cp -a "$srcdir"/httpd-$pkgver "$srcdir"/httpd-${_mpm}
- cd "$srcdir"/httpd-${_mpm}
- ./configure ${_apacheconfig} --with-mpm=${_mpm} || return 1
- make || return 1
-
- _mpm="worker"
- cp -a "$srcdir"/httpd-$pkgver "$srcdir"/httpd-${_mpm}
- cd "$srcdir"/httpd-${_mpm}
- make clean
- ./configure ${_apacheconfig} --with-mpm=${_mpm} || return 1
+ --enable-exception-hook \
+ || return 1
make || return 1
}
package() {
- local _mpm
-
- # prefork
cd "$srcdir"/httpd-$pkgver
make -j1 DESTDIR="$pkgdir" install || return 1
-
- # itk and worker
- for _mpm in itk worker; do
- install -D -m755 "$srcdir"/httpd-${_mpm}/httpd \
- "$pkgdir"/usr/sbin/httpd.${_mpm} || return 1
- done
-
# config
rm -r "$pkgdir"/etc/apache2/httpd.conf \
"$pkgdir"/etc/apache2/extra
@@ -150,64 +101,23 @@ dev() {
arch="noarch"
# install apxs utility
- install -d "$subpkgdir"/usr/sbin || return 1
- mv "$pkgdir"/usr/sbin/apxs \
- "$subpkgdir"/usr/sbin/apxs || return 1
+ install -d "$subpkgdir"/usr/bin || return 1
+ mv "$pkgdir"/usr/bin/apxs \
+ "$subpkgdir"/usr/bin/apxs || return 1
- _mpm="prefork"
- install -d "$subpkgdir"/usr/share/apache2/build-${_mpm} || return 1
+ install -d "$subpkgdir"/usr/share/apache2/build
mv "$pkgdir"/usr/share/apache2/build/* \
- "$subpkgdir"/usr/share/apache2/build-${_mpm} || return 1
- rm -rf "$pkgdir"/usr/share/apache2/build
- ln -s /usr/share/apache2/build-${_mpm} \
- "$pkgdir"/usr/share/apache2/build || return 1
-
-
- _mpm="itk"
- install -d "$subpkgdir"/usr/share/apache2/build-${_mpm} || return 1
- for _file in `ls -1 "$subpkgdir"/usr/share/apache2/build-prefork | grep -v "config\.nice"`; do
- mv "$srcdir"/httpd-${_mpm}/build/${_file} \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/${_file} \
- || return 1
- done
- cp -a "$subpkgdir"/usr/share/apache2/build-prefork/config.nice \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/config.nice \
- || return 1
- sed -ri "s/prefork/${_mpm}/g" \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/config.nice \
- || return 1
-
-
- _mpm="worker"
- install -d "$subpkgdir"/usr/share/apache2/build-${_mpm} || return 1
- for _file in `ls -1 "$subpkgdir"/usr/share/apache2/build-prefork | grep -v "config\.nice"`; do
- mv "$srcdir"/httpd-${_mpm}/build/${_file} \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/${_file} \
- || return 1
- done
- cp -a "$subpkgdir"/usr/share/apache2/build-prefork/config.nice \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/config.nice \
- || return 1
- sed -ri "s/prefork/${_mpm}/g" \
- "$subpkgdir"/usr/share/apache2/build-${_mpm}/config.nice \
- || return 1
+ "$subpkgdir"/usr/share/apache2/build/ || return 1
}
utils() {
local _bin
pkgdesc="Apache utility programs for webservers"
-
- install -d "$subpkgdir"/usr/bin || return 1
- for _bin in ab dbmmanage htdbm htdigest htpasswd logresolve; do
- mv "$pkgdir"/usr/sbin/${_bin} \
- "$subpkgdir"/usr/bin/${_bin} || return 1
- done
-
install -d "$subpkgdir"/usr/sbin || return 1
- for _bin in checkgid htcacheclean rotatelogs; do
- mv "$pkgdir"/usr/sbin/${_bin} \
- "$subpkgdir"/usr/sbin/${_bin} || return 1
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+ for i in checkgid htcacheclean rotatelogs; do
+ mv "$pkgdir"/usr/sbin/$i "$subpkgdir"/usr/sbin/ || return 1
done
}
@@ -226,28 +136,17 @@ ssl() {
ldap() {
pkgdesc="LDAP authentication/authorization module for the Apache HTTP Server"
- url="http://httpd.apache.org/docs/2.2/mod/mod_authnz_ldap.html"
+ url="http://httpd.apache.org/docs/2.4/mod/mod_authnz_ldap.html"
depends="apache2"
install -d "$subpkgdir"/usr/lib/apache2 || return 1
- mv "$pkgdir"/usr/lib/apache2/mod_ldap.so \
- "$subpkgdir"/usr/lib/apache2/mod_ldap.so || return 1
+ mv "$pkgdir"/usr/lib/apache2/mod_*ldap.so \
+ "$subpkgdir"/usr/lib/apache2/ || return 1
install -D -m644 "$srcdir"/ldap.conf \
"$subpkgdir"/etc/apache2/conf.d/ldap.conf || return 1
}
-md5sums="9fe3093194c8a57f085ff7c3fc43715f httpd-2.2.22.tar.bz2
-db42cfcc18ae1c32aaaff2347e35b79d 02-rename-prefork-to-itk.patch
-72817bd3eddc56fd886ca4739c536261 03-add-mpm-to-build-system.patch
-ee488f391054d528547c3a372faa2aa7 04-correct-output-makefile-location.patch
-b202944761b2f0516196488b12504236 05-add-copyright.patch
-78fa15f8ca3a284b7d71f942e24e47fb 06-hook-just-after-merging-perdir-config.patch
-d33e39350e987721d50e6fb8e164ab6b 07-base-functionality.patch
-9f7a8935f9cabc7b46d0052906634cef 08-max-clients-per-vhost.patch
-1b28e3363e1b0d05b738a21e7ddd264f 09-capabilities.patch
-d9667fcd2ffecc63e446edd4d6666731 10-nice.patch
-1e5b222edcfbf99a3edc56fcb2074fbe 11-fix-htaccess-reads-for-persistent-connections.patch
-088271c7e514cfb01e9c5f55d851331c httpd-2.2.22-pcre830.patch
+md5sums="87aaf7bc7e8715f0455997bb8c6791aa httpd-2.4.3.tar.bz2
e322b5211e49511cac6e40c86af1b1da apache2.confd
75fe4138b98fcffd01b8c8c077b944f3 apache2.logrotate
7105fc70298b24bfca6dba517f7486d7 apache2.initd